View Issue Details

IDProjectCategoryView StatusLast Update
0009062mantisbtfeaturepublic2019-05-22 15:39
ReporterBovenH Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status newResolutionopen 
Product Version1.1.1 
Target VersionFixed in Version 
Summary0009062: Ability to “Show” and “Require” custom fields per “Status change” instead of basing it upon “Update Issue”
Description

For our organisation it is required to follow our documented “Problem/Change Form” process.
We configured Mantis in such a way it is conform this process. The only thing I miss in Mantis is the ablilty to couple custom fields to a Status change.

I think it would be convenient to have have fields which are only required when changing to a specific state.

Due to our maturity level of our organization (CMMI level 2/3) we need a lot of data to make good analysis to adjust our processes. Following example of our states/required fields should give an idea of our problem.

State Fields

Inititiated (fields filled in on Report Issue)
Analyzed Analysis, budget nr, To be verified in, originating from, Analysis cost, estimated impl. cost
Evaluated to be implemented in version, CCB Action
Approved Change proposal, To be verified in, proposal cost, estimated impl. cost
Implemented Updated items, solved in version, implementation cost
Verified Verified in, open issues, verification cost
Closed -

Every state change is handled by a different person. Making some of the fields required (which is absolutely required to make good analysis) makes these fields show up on the interface for each status change until issue is resolved (Verified). However, Some required fields are not known at some point of time. For example, when changing state to Analyzed one does not know the Implementation cost.

Suggestion:

On “Manage Custom Fields” page add a separate table (state-change table).

  • the first column is readonly and should be filled with all custom fields which have marked “Display When Updating Issues“ and/or “Required on Update”.
  • the second column can be configured to select the state(s), so when changing to this state, this field is shown
  • when the second column is empty, the field (if required) is show on every “State Change” (as it is now).

On the ”Update Issue” page:

  • make required custom fields (which are assigned to a state) non-required when the assigned state has a higher integer nr than the current state.
  • make required custom fields (which are assigned to a state) required when the assigned state has a lower or equal integer nr than the current state.
  • make the status field readonly on the “Update Issue” page. (cannot rebuild the html to add/remove red asteriks in front of fields making them (non-)required when selecting a specific state).

This results in when changing to a specific state, it shows the:

  • optional and required fields configured for this specific state (configure in new table).
  • Required fields which donot have a state configured.
TagsNo tags attached.

Relationships

has duplicate 0017402 closedatrol How to add custom fields in any mantis pages 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2008-04-15 07:39 BovenH New Issue
2014-06-02 17:51 atrol Relationship added has duplicate 0017402
2017-01-18 13:04 atrol Severity major => feature